Legrand / Raritan / Server Technology Xerus™ JSON-RPC API: dsam::DsamPort::Settings Struct Reference

Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
dsam::DsamPort::Settings Struct Reference

Port settings. More...

## Public Attributes
string | name
| Port name.
DeviceInterfaceType | devIfType
| Port interface type (allows forcing the interface type)
int | baudRate
| Baud rate.
Parity | parity
| Parity mode.
int | stopBits
| Number of stop bits (1 or 2)
FlowControl | flowCtrl
| Flow control type.
int | breakDurationMs
| Length of BREAK signal duration in milli seconds.
boolean | sshDpaPortEnabled
| `true` if dedicated SSH DPA port is enabled
int | sshDpaPort
| SSH DPA port number.
boolean | allowSharedAccess
| Allow more than one user to connect to this port.

## Detailed Description

Port settings.

Definition at line 62 of file DsamPort.idl.

## Member Data Documentation

## ◆ allowSharedAccess

boolean dsam::DsamPort::Settings::allowSharedAccess

Allow more than one user to connect to this port.

Definition at line 72 of file DsamPort.idl.

## ◆ baudRate

int dsam::DsamPort::Settings::baudRate

Baud rate.

Definition at line 65 of file DsamPort.idl.

## ◆ breakDurationMs

int dsam::DsamPort::Settings::breakDurationMs

Length of BREAK signal duration in milli seconds.

Definition at line 69 of file DsamPort.idl.

## ◆ devIfType

DeviceInterfaceType dsam::DsamPort::Settings::devIfType

Port interface type (allows forcing the interface type)

Definition at line 64 of file DsamPort.idl.

## ◆ flowCtrl

FlowControl dsam::DsamPort::Settings::flowCtrl

Flow control type.

Definition at line 68 of file DsamPort.idl.

## ◆ name

string dsam::DsamPort::Settings::name

Port name.

Definition at line 63 of file DsamPort.idl.

## ◆ parity

Parity dsam::DsamPort::Settings::parity

Parity mode.

Definition at line 66 of file DsamPort.idl.

## ◆ sshDpaPort

int dsam::DsamPort::Settings::sshDpaPort

SSH DPA port number.

Definition at line 71 of file DsamPort.idl.

## ◆ sshDpaPortEnabled

boolean dsam::DsamPort::Settings::sshDpaPortEnabled

`true` if dedicated SSH DPA port is enabled

Definition at line 70 of file DsamPort.idl.

## ◆ stopBits

int dsam::DsamPort::Settings::stopBits

Number of stop bits (1 or 2)

Definition at line 67 of file DsamPort.idl.

The documentation for this struct was generated from the following file:

- DsamPort.idl